<?
session_start();
include("forb.php");
include("check.php");
include("menu.php");
$pts = "mønter";
$pts1 = "Mønter";
?>
<center><a href="?mode=indsaet">Indsæt <? echo "$pts"; ?></a> - <a href="?mode=haev">Hæv <? echo "$pts"; ?></a> - <a href="?mode=overfor">Overfør <? echo "$pts"; ?></a></center><hr>
<?
if($_GET[mode] == ""){
?>
Velkommen til Banken!<br>
Alle her på NsYoung har fået en gratis bankkonto. Her i banken kan du:<br>
- Hæve <? echo "$pts"; ?><br>
- Indsætte <? echo "$pts"; ?><br>
- Og overføre <? echo "$pts"; ?><br>
<hr>
<?
$q1 = mysql_query("SELECT * FROM brugere WHERE `brugernavn` = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q1);
print "
<table border=1><tr>
    <td>$pts1 i banken</td>
    <td rows=10</td>
    <td>$se[bank] $pts.</td>
  </tr><br>
  <tr>
    <td>$pts1 i lommen</td>
    <td rows=10</td>
    <td>$se[point] $pts.</td>
  </tr>
</table>";
}
if($_GET[mode] == "haev"){
$q1 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q1);
?>
Her kan du hæve <? echo "$pts"; ?> fra din konto!<br>
Du har lige nu <?php print"$se[bank]";?> <? echo "$pts"; ?> i banken, og <?php print"$se[point]";?> <? echo "$pts"; ?> på dig selv.
<form method="post" action="?mode=haev&action=haev">
Antal <? echo "$pts"; ?>:<br>
<input type="text" name="point"><br>
<input type="submit" name="submit" value="Hæv">
<?
if($_GET[action] == "haev"){
$q2 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q2);
if(!is_numeric($_POST[point])){
print "<br>Kun tal mester!</font>";
}elseif($se[bank] < $_POST[point]){
echo "<br>Du mangler vidst nogle point, før du kan hæve $_POST[point]";
}else{
mysql_query("UPDATE user SET point = point + '$_POST[point]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE user SET bank = bank - '$_POST[point]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
print "<br>Dine FX-€ blev korrekt hævet!</font>";
}
}
}
if($_GET[mode] == "indsaet"){
$q1 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q1);
?>
Her kan du indsætte <? echo "$pts"; ?> til din konto i national banken!<br>
Du har lige nu <?php print"$se[bank]";?> <? echo "$pts"; ?> i banken, og <?php print"$se[point]";?> <? echo "$pts"; ?> på dig selv.
<form method="post" action="?mode=indsaet&action=indsaet">
Antal <? echo "$pts"; ?>:<br>
<input type="text" name="point"><br>
<input type="submit" name="submit" value="Indsæt">
<?
if($_GET[action] == "indsaet"){
$q2 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q2);
if(!is_numeric($_POST[point])){
print "<br>Kun tal mester!</font>";
}elseif($se[point] < $_POST[point]){
echo "<br>Du mangler vidst nogle point, før du kan indsætte $_POST[point]";
}else{
mysql_query("UPDATE brugere SET point = point - '$_POST[point]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
mysql_query("UPDATE brugere SET bank = bank + '$_POST[point]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
print "<br>Dine $pts blev korrekt indsat!</font>";
}
}
}
if($_GET[mode] == "overfor"){
$q1 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q1);
?>
Her kan du overførre <? echo "$pts"; ?> til andre brugere!<br>
Du har lige nu <?php print"$se[bank]";?> <? echo "$pts"; ?> i banken, og <?php print"$se[point]";?> <? echo "$pts"; ?> på dig selv.<br>
<br><br>
<form method="post" action="?mode=overfor&action=overfor">
Brugernavn:<br>
        <select name="brugernavn" style="width:200px;">
				<?
$find = mysql_query("select * from `brugere` order by brugernavn desc") or die(mysql_error());
while($view = mysql_fetch_array($find)){
?>
<option value="<?php print $view[brugernavn]; ?>"><?php print $view[brugernavn]; ?></option>
<?php
}
?>
</select><br>
Antal <? echo "$pts"; ?>:<br>
<select name="point" style="width:200px;">
<option>Vælg <? echo "$pts"; ?></option>
<option value="10">10</option>
<option value="50">50</option>
<option value="150">150</option>
<option value="300">300</option>
<option value="500">500</option>
<option value="1000">1000</option>
<option value="2500">2500</option>
<option value="5000">5000</option>
<option value="7000">7000</option>
<option value="12000">12000</option>
<option value="15000">15000</option>
<option value="17500">17500</option>
<option value="20000">20000</option>
</select><br>
<input type="submit" name="submit" value="Overfør">
<?
if($_GET[action] == "overfor"){
if(!is_numeric($_POST[point])){
echo "Du kan kun sende FX-€!";
}elseif($_POST[brugernavn] == $_SESSION[Brugernavn]){
echo "Du kan ikke sende dig selv $pts";
}else{
$q2 = mysql_query("select * from brugere where brugernavn = '$_SESSION[Brugernavn]'");
$se = mysql_fetch_array($q2);
if($se[point] < $_POST[point]){
print "<br>Du har ikke nok $pts til at overføre $_POST[point] $pts, til $_POST[brugernavn]</font>";
}else{
mysql_query("UPDATE brugere SET point = point + '$_POST[point]' WHERE brugernavn = '" . $_POST[brugernavn] . "'");
mysql_query("UPDATE brugere SET point = point - '$_POST[point]' WHERE brugernavn = '$_SESSION[Brugernavn]'");
print "<br>Dine $_POST[point] $pts blev korrekt overført til $_POST[brugernavn]</font>";
}
}
}
}
?>